Bug 729654 - Requires from Makefile are not installed during kickstart
Summary: Requires from Makefile are not installed during kickstart
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: tests
Version: 0.6
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 13:28 UTC by Branislav Náter
Modified: 2019-05-22 13:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-19 17:39:50 UTC


Attachments (Terms of Use)

Comment 1 Marian Csontos 2011-08-11 06:15:08 UTC
I see: customized kickstart.

Following found in ks:

> %packages --ignoremissing
> # Error: no snippet data for rhts_packages

Bill, is there a snippet to get list of tasks "dependencies"?

Is rhts_packages supposed to be one, but missing?


Workaround:

Branislav, IMO you could try adding following into your ks:

<code>

#if $getVar('packages', '') == '':
--default
#else

## If packages variable is set add additional packages to this install
## packages=httpd:selinux:kernel
#set _packages = $getVar('packages','').split(':')
#for $package in $_packages:
$package
#end for
#end if ## if packages

</code>

No warranty provided! It may not be what you want, esp. if you want only @base

Comment 7 Raymond Mancy 2011-10-05 02:10:16 UTC
As Bill has pointed out, the original issue is solved. However, going forward we will probably try and have these issues resolved outside of the beaker client.

Comment 8 Alexander Todorov 2011-10-19 17:36:24 UTC
Hi Bill,
I believe this is not fixed. See this job:
https://beaker.engineering.redhat.com/jobs/145088

the virt/install test case has Requires: xorg-x11-server-Xvfb but this is not installed (see install.log).

Comment 9 Alexander Todorov 2011-10-19 17:39:50 UTC
Closing again. 

xorg-x11-server-Xvfb is in the optional repository which is not available during install hence the package is missing.


Note You need to log in before you can comment on or make changes to this bug.